@use crate::MaintainerDashboard;
@use crate::Urler;

@(url: &Urler, p: &MaintainerDashboard<'_>)

<feed xmlns="http://www.w3.org/2005/Atom">
  <title>Lib.rs maintainer feed for @p.login()</title>
  <subtitle>Notifications about @p.login()'s crates</subtitle>
  <link href="@url.to_absolute(url.crate_maintainer_dashboard_by_github_login(p.login()))"/>
  <link rel="self" href="@url.to_absolute(url.crate_maintainer_dashboard_github_login_atom_feed(p.login()))"/>
  <updated>@p.now()</updated>
  <author>
    <name>lib.rs</name>
    <uri>https://lib.rs</uri>
  </author>
  <icon>https://lib.rs/crates-logo.png</icon>
  <id>https://lib.rs/~@p.login()/dash</id>
  <generator uri="https://gitlab.com/lib.rs">lib.rs</generator>

  @for (_, origins, warnings) in &p.warnings {
    @for origin in origins {
    @for w in warnings { @if w.severity > 0 {
      <entry>
        <title>@origin.package_name_icase(): @w.title</title>
        <author>
          <name>lib.rs→@origin.package_name_icase()</name>
          <uri>@url.to_absolute(url.crate_abs_path_by_origin(origin))</uri>
        </author>

        @if let Some((label, rel_url)) = &w.url {
          <link rel="related" title="@label" href="@url.to_absolute(&**rel_url)"/>
        }
        <link rel="alternate" title="Dashboard" href="@url.to_absolute(url.crate_maintainer_dashboard_by_github_login(p.login()))#crate-@origin.package_name_icase()"/>
        <category term="l@w.severity" scheme="https://lib.rs#dash" />

        <id>@p.atom_id_for(origin, w)</id>
        <content type="html"><![CDATA[
@p.render_text(&w.desc)
@if let Some(ext) = w.extended_desc { @p.render_text(ext) }
]]></content>
      </entry>
    } } }
  }
</feed>
